Package com.ocient.jdbc.proto

# Enum PlanProtocol.AggregationOperator.AggregationOp

java.lang.Object
java.lang.Enum<PlanProtocol.AggregationOperator.AggregationOp>
com.ocient.jdbc.proto.PlanProtocol.AggregationOperator.AggregationOp

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<PlanProtocol.AggregationOperator.AggregationOp>`, `java.lang.constant.Constable`

Enclosing class:
  PlanProtocol.AggregationOperator

    public static enum PlanProtocol.AggregationOperator.AggregationOp
    extends Enum<PlanProtocol.AggregationOperator.AggregationOp>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.db.sqlPlans.AggregationOperator.AggregationOp`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`AGG_OP_COUNT` | `AGG_OP_COUNT = 2;`
`AGG_OP_COUNT_DISTINCT` | `AGG_OP_COUNT_DISTINCT = 6;`
`AGG_OP_COUNT_DISTINCT_GDC` | `AGG_OP_COUNT_DISTINCT_GDC = 11;`
`AGG_OP_COUNT_GDC` | `AGG_OP_COUNT_GDC = 8;`
`AGG_OP_COUNT_STAR` | `AGG_OP_COUNT_STAR = 3;`
`AGG_OP_MAX` | `AGG_OP_MAX = 5;`
`AGG_OP_MIN` | `AGG_OP_MIN = 4;`
`AGG_OP_PRODUCT` | `AGG_OP_PRODUCT = 9;`
`AGG_OP_PRODUCT_DISTINCT` | `AGG_OP_PRODUCT_DISTINCT = 10;`
`AGG_OP_SUM` | `AGG_OP_SUM = 1;`
`AGG_OP_SUM_DISTINCT` | `AGG_OP_SUM_DISTINCT = 7;`
`INVALID` | `INVALID = 0;`
`UNRECOGNIZED` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `AGG_OP_COUNT_DISTINCT_GDC_VALUE` | `AGG_OP_COUNT_DISTINCT_GDC = 11;`
`static int` | `AGG_OP_COUNT_DISTINCT_VALUE` | `AGG_OP_COUNT_DISTINCT = 6;`
`static int` | `AGG_OP_COUNT_GDC_VALUE` | `AGG_OP_COUNT_GDC = 8;`
`static int` | `AGG_OP_COUNT_STAR_VALUE` | `AGG_OP_COUNT_STAR = 3;`
`static int` | `AGG_OP_COUNT_VALUE` | `AGG_OP_COUNT = 2;`
`static int` | `AGG_OP_MAX_VALUE` | `AGG_OP_MAX = 5;`
`static int` | `AGG_OP_MIN_VALUE` | `AGG_OP_MIN = 4;`
`static int` | `AGG_OP_PRODUCT_DISTINCT_VALUE` | `AGG_OP_PRODUCT_DISTINCT = 10;`
`static int` | `AGG_OP_PRODUCT_VALUE` | `AGG_OP_PRODUCT = 9;`
`static int` | `AGG_OP_SUM_DISTINCT_VALUE` | `AGG_OP_SUM_DISTINCT = 7;`
`static int` | `AGG_OP_SUM_VALUE` | `AGG_OP_SUM = 1;`
`static int` | `INVALID_VALUE` | `INVALID = 0;`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static PlanProtocol.AggregationOperator.AggregationOp` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.AggregationOperator.AggregationOp>` | `internalGetValueMap()` |
`static PlanProtocol.AggregationOperator.AggregationOp` | `valueOf​(int value)` | Deprecated.
`static PlanProtocol.AggregationOperator.AggregationOp` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.AggregationOperator.AggregationOp` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.AggregationOperator.AggregationOp[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final PlanProtocol.AggregationOperator.AggregationOp INVALID
`INVALID = 0;`

### AGG_OP_SUM

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_SUM
`AGG_OP_SUM = 1;`

### AGG_OP_COUNT

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_COUNT
`AGG_OP_COUNT = 2;`

### AGG_OP_COUNT_STAR

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_COUNT_STAR
`AGG_OP_COUNT_STAR = 3;`

### AGG_OP_MIN

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_MIN
`AGG_OP_MIN = 4;`

### AGG_OP_MAX

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_MAX
`AGG_OP_MAX = 5;`

### AGG_OP_COUNT_DISTINCT

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_COUNT_DISTINCT
`AGG_OP_COUNT_DISTINCT = 6;`

### AGG_OP_SUM_DISTINCT

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_SUM_DISTINCT
`AGG_OP_SUM_DISTINCT = 7;`

### AGG_OP_COUNT_GDC

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_COUNT_GDC
`AGG_OP_COUNT_GDC = 8;`

### AGG_OP_PRODUCT

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_PRODUCT
`AGG_OP_PRODUCT = 9;`

### AGG_OP_PRODUCT_DISTINCT

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_PRODUCT_DISTINCT
`AGG_OP_PRODUCT_DISTINCT = 10;`

### AGG_OP_COUNT_DISTINCT_GDC

public static final PlanProtocol.AggregationOperator.AggregationOp AGG_OP_COUNT_DISTINCT_GDC
`AGG_OP_COUNT_DISTINCT_GDC = 11;`

### UNRECOGNIZED

public static final PlanProtocol.AggregationOperator.AggregationOp UNRECOGNIZED

## Field Details

### INVALID_VALUE

public static final int INVALID_VALUE
`INVALID = 0;`

See Also:
  Constant Field Values

### AGG_OP_SUM_VALUE

public static final int AGG_OP_SUM_VALUE
`AGG_OP_SUM = 1;`

See Also:
  Constant Field Values

### AGG_OP_COUNT_VALUE

public static final int AGG_OP_COUNT_VALUE
`AGG_OP_COUNT = 2;`

See Also:
  Constant Field Values

### AGG_OP_COUNT_STAR_VALUE

public static final int AGG_OP_COUNT_STAR_VALUE
`AGG_OP_COUNT_STAR = 3;`

See Also:
  Constant Field Values

### AGG_OP_MIN_VALUE

public static final int AGG_OP_MIN_VALUE
`AGG_OP_MIN = 4;`

See Also:
  Constant Field Values

### AGG_OP_MAX_VALUE

public static final int AGG_OP_MAX_VALUE
`AGG_OP_MAX = 5;`

See Also:
  Constant Field Values

### AGG_OP_COUNT_DISTINCT_VALUE

public static final int AGG_OP_COUNT_DISTINCT_VALUE
`AGG_OP_COUNT_DISTINCT = 6;`

See Also:
  Constant Field Values

### AGG_OP_SUM_DISTINCT_VALUE

public static final int AGG_OP_SUM_DISTINCT_VALUE
`AGG_OP_SUM_DISTINCT = 7;`

See Also:
  Constant Field Values

### AGG_OP_COUNT_GDC_VALUE

public static final int AGG_OP_COUNT_GDC_VALUE
`AGG_OP_COUNT_GDC = 8;`

See Also:
  Constant Field Values

### AGG_OP_PRODUCT_VALUE

public static final int AGG_OP_PRODUCT_VALUE
`AGG_OP_PRODUCT = 9;`

See Also:
  Constant Field Values

### AGG_OP_PRODUCT_DISTINCT_VALUE

public static final int AGG_OP_PRODUCT_DISTINCT_VALUE
`AGG_OP_PRODUCT_DISTINCT = 10;`

See Also:
  Constant Field Values

### AGG_OP_COUNT_DISTINCT_GDC_VALUE

public static final int AGG_OP_COUNT_DISTINCT_GDC_VALUE
`AGG_OP_COUNT_DISTINCT_GDC = 11;`

See Also:
  Constant Field Values

## Method Details

### values

public static PlanProtocol.AggregationOperator.AggregationOp[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PlanProtocol.AggregationOperator.AggregationOp valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static PlanProtocol.AggregationOperator.AggregationOp valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static PlanProtocol.AggregationOperator.AggregationOp forNumber​(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.AggregationOperator.AggregationOp> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static PlanProtocol.AggregationOperator.AggregationOp valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null